// multipad.h : main header file for the Multipad application
//
// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (C) 1992-1997 Microsoft Corporation
// All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#define BETTER_EDIT

#include <afxext.h>
#include "resource.h"
#include <afxrich.h>

class CMultiPadApp : public CWinApp
{
	BOOL InitInstance();

	// UM: To do
	int ExitInstance();

	//{{AFX_MSG(CMultiPadApp)
	afx_msg void OnAppAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNCREATE(CMainFrame)
	CStatusBar  m_StatusBar;
	CToolBar    m_ToolBar;
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// UM: To do
#ifdef BETTER_EDIT
class CPadDoc : public CDocument {
	typedef CDocument inherited;
#else
class CPadDoc : public CRichEditDoc {
	typedef CRichEditDoc inherited;
#endif
	DECLARE_DYNCREATE(CPadDoc)

	// UM: To do
	BOOL OnNewDocument();

	// UM: To do
	void OnCloseDocument();

	void Serialize(CArchive& ar);

	// UM: To do
#ifndef BETTER_EDIT
	CRichEditCntrItem* CreateClientItem(REOBJECT* preo = NULL) const;
#endif
	//{{AFX_MSG(CPadDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
